## Function template operator<<

boost::log::operator<< — Log formatting operator.

## Synopsis

    // In header: <boost/log/utility/value_ref.hpp>

    template<typename CharT, typename TraitsT, typename AllocatorT, typename T,
             typename TagT>
      basic_formatting_ostream< CharT, TraitsT, AllocatorT > &
      operator<<(basic_formatting_ostream< CharT, TraitsT, AllocatorT > & strm,
                 value_ref< T, TagT > const & val);